be.fgov.ehealth.technicalconnector.ra.service.impl

## Class EncryptionTokenRegistrationServiceImpl

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.ra.service.impl.EncryptionTokenRegistrationServiceImpl

- All Implemented Interfaces:
    EncryptionTokenRegistrationService

      public class EncryptionTokenRegistrationServiceImpl
      extends Object
      implements EncryptionTokenRegistrationService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptionTokenRegistrationServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result<Void>` | `activateToken(Credential credential)`
    `Result<Void>` | `completeETKRegistration(byte[] etk, Credential credential)`
    `Result<byte[]>` | `startETKRegistration(PublicKey key, Credential credential)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncryptionTokenRegistrationServiceImpl

          public EncryptionTokenRegistrationServiceImpl()

  - ### Method Detail

    - #### startETKRegistration

          public Result<byte[]> startETKRegistration(PublicKey key,
                                                     Credential credential)
                                              throws TechnicalConnectorException

      Specified by:
        `startETKRegistration` in interface `EncryptionTokenRegistrationService`
      Throws:
        `TechnicalConnectorException`

    - #### completeETKRegistration

          public Result<Void> completeETKRegistration(byte[] etk,
                                                      Credential credential)
                                               throws TechnicalConnectorException

      Specified by:
        `completeETKRegistration` in interface `EncryptionTokenRegistrationService`
      Throws:
        `TechnicalConnectorException`

    - #### activateToken

          public Result<Void> activateToken(Credential credential)
                                     throws TechnicalConnectorException

      Specified by:
        `activateToken` in interface `EncryptionTokenRegistrationService`
      Throws:
        `TechnicalConnectorException`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.